<?php

if (!isset($gCms)) exit;


if (! $this->CheckPermission('Use Play'))
	return $this->DisplayErrorPage($id, $params, $returnid,$this->Lang('accessdenied'));


include_once dirname(__FILE__).'/class.record.php';

$oldrecordid = isset($params['recordid']) ? $params['recordid'] : -1;


$record = new pRecord();
if (!$record->loaddb($oldrecordid))
	return $this->DisplayErrorPage($id, $params, $returnid,$this->Lang('error_unknownrecord'));

	
$record->name .= ' ('.$this->lang('copy').')';
$params['recordid'] = 'new';
$record->id = 'new';

require_once(dirname(__FILE__).'/action.editrecord.php');


?>